Subject: Re: 1.5.11: execvp bug (XP)
From: Isaac Foraker <[email-masked]>
To: [email-masked]
Date: Wed, 08 Sep 2004 11:03:20 -0600

I just tried this, and things get worse.  With 5.8.2-1, perl.exe won't 
run from make.  I've reinstalled Cygwin from scratch to try to clean out 
anything that could be causing problems, but no luck.  These are all the 
commands I ran to reproduce the problem with 5.8.2.

#uname -r
1.5.11(0.116/4/2)

#perl -v
This is perl, v5.8.2 built for cygwin-thread-multi-64int
...

#echo -e 'default:\n\tperl foo.pl' > Makefile

#echo -e '#!/usr/bin/perl\n\n\nprint "Success.\\n"' > foo.pl

#make
perl foo.pl
make: execvp: perl: Permission denied
make: *** [default] Error 127

#chmod +x foo.pl

#./foo.pl
Success.

#perl foo.pl
Success.

#ls -l /usr/bin/perl.exe
-rwxr-x--x+   1 isaacf   Users       11264 Nov  7  2003 /usr/bin/perl.exe

Thanks,
IF

Igor Pechtchanski wrote:

>Ah, another possibly relevant point: I use perl 5.8.2-1...  Could you
>please try that?
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/